blocks = { }
blockIDs = { }

local prototype = {
	hasGravity = false,
	texture = love.graphics.newImage( "images/notile.png" ),
	breakTime = 0.1,
	worth = 1,
	generates = false,
	genMin = 0,
	genMax = 30,
	genRarity = 1,
	genLayer = 0,
	dropAmount = 1,
	--drop = items.noitem,
	name = tostring( #blocks + 1 ),
	hasColliders = true,
}

prototype.__index = prototype




function loadBlocks( )
	for k, v in pairs( love.filesystem.getDirectoryItems( "blocks/") ) do
		local temp = love.filesystem.load( "blocks/" .. v )
		local t = temp( )
		setmetatable( t, prototype )
		blocks[ t.name ] = t
		blockIDs[ k ] = blocks[ t.name ]
		print( t.name )
	end
	print( table.serialize( blocks, true, true ) )
end