local prototype = {
	hasGravity = false,
	texture = love.graphics.newImage( "images/notile.png" ),
	breakTime = 0.1,
	worth = 1,
	genMin = 0,
	genMax = 0,
	genRarity = 1,
	dropAmount = 1,
	sky = { 135, 206, 235 },
	gravity = 1,
	hasClouds = true,
}

prototype.__index = prototype

gentypes = { }


function loadGenTypes( )
	for k, v in pairs( love.filesystem.getDirectoryItems( "gentypes/") ) do
		local temp = love.filesystem.load( "gentypes/" .. v )
		local t = temp( )
		local name = v:sub( 1, #v - 4 )
		setmetatable( t, prototype )
		gentypes[ name ] = t
	end
end